set linesize 120
set pagesize 100
set serveroutput on size 1000000
set trimspool on
set feedback off
spool set_maxsize.sql
declare

   iSize Number := 66571993088; -- 62G
begin

   For tbsp in (
                select tablespace_name, autoextensible, maxbytes, file_name
                  from dba_data_files
                 where tablespace_name like 'C__\_____\____\___________' Escape '\'
                   and autoextensible = 'YES'
                   and maxbytes > iSize
               )
   Loop

      dbms_output.put_line('Alter Database Datafile ' ||
                           '''' || tbsp.file_name || '''' || 
                           ' Autoextend On Maxsize 63488M;' );
   End Loop;
End;
/
spool off
